package com.supervision.knowsub;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@EnableScheduling
@MapperScan(basePackages = {"com.supervision.**.mapper"})
public class KnowSubBusinessApplication {

    public static void main(String[] args) {
        SpringApplication.run(KnowSubBusinessApplication.class, args);
    }

}
