package com.supervision.knowsub.service;

import com.supervision.knowsub.dto.role.UserRoleDTO;
import com.supervision.knowsub.model.SystemUserRoleRelation;

import java.util.List;

public interface UserRoleRelationManageService {

    List<SystemUserRoleRelation> saveUserRoleRelation(String userId, List<String> roleIdList);

    List<SystemUserRoleRelation> updateUserRoleRelation(String userId, List<String> roleIdList);

    List<UserRoleDTO> listUserRole(String userId, String roleId,String roleName);

    List<UserRoleDTO> listUserRoleByUserIds(List<String> userIds);

    void deleteUserRoleRelation(String userId);
}
