package com.supervision.knowsub.dto.dept;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

/**
 * 应用子库关联部门DTO
 */
@Data
public class BaseDeptRelationDTO {

    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 子库ID
     */
    private String baseId;

    /**
     * 部门ID
     */
    private String deptId;

    /**
     * 部门名称
     */
    private String deptName;
}
