package com.supervision.knowsub.mapper;

import com.supervision.knowsub.model.KnowledgeSubmitRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
* @author flevance
* @description 针对表【ks_knowledge_submit_record(知识报送记录表(只要知识被谁报送过,都在这张表记录))】的数据库操作Mapper
* @createDate 2024-06-27 15:22:11
* @Entity com.supervision.knowsub.model.KnowledgeSubmitRecord
*/
public interface KnowledgeSubmitRecordMapper extends BaseMapper<KnowledgeSubmitRecord> {

    Long queryKnowledgeSubmitTodoCount(@Param("userId") String userId);

    Long queryKnowledgeSubmitStatusCount(@Param("userId") String userId, @Param("status") Integer status);

}




