package com.supervision.knowsub.vo.flow;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.util.List;

@Data
@Builder
public class NodeInfo {

    @Schema(description = "节点id")
    private String id;

    @Schema(description = "节点名称")
    private String NodeName;

    @Schema(description = "节点用户id列表")
    private List<String> userIdList;

    @Schema(description = "节点顺序")
    private Integer order;

    @Schema(description = "节点角色id")
    private String roleId;

    @Tolerate
    public NodeInfo() {
    }
}
