package com.supervision.knowsub.vo.sublibrary;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 应用子库
 */
@Data
public class SubLibraryReqVo {


    @Schema(description = "子库id")
    private String id;

    @Schema(description = "子库名称")
    private String baseName;

    @Schema(description = "子库编码")
    private String baseCode;

    @Schema(description = "关联部门id")
    private List<String> deptIds;

}
