package com.supervision.knowsub.domain;

import lombok.Data;

import java.util.List;

@Data
public class UserInfo {

    private String id;

    /**
     * 角色ID
     */
    private String roleId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 账户名
     */
    private String account;

    /**
     * 人员所属部门ID
     */
    private String deptId;

    /**
     * 用户所拥有的角色权限
     */
    private List<Integer> roleTypeList;
}
