package com.supervision.knowsub.mapper;

import com.supervision.knowsub.dto.role.UserRoleDTO;
import com.supervision.knowsub.model.SystemUserRoleRelation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【ks_system_user_role_relation(用户角色关联表)】的数据库操作Mapper
* @createDate 2024-06-28 10:41:20
* @Entity com.supervision.knowsub.model.SystemUserRoleRelation
*/
public interface SystemUserRoleRelationMapper extends BaseMapper<SystemUserRoleRelation> {

    List<UserRoleDTO> listUserRole(@Param("userId") String userId, @Param("roleId") String roleId,
                                   @Param("roleName") String roleName);

    List<UserRoleDTO> listUserRoleByUserIds(List<String> userIds);
}




