package com.supervision.knowsub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.dto.base.UserBaseOperateAuthDTO;
import com.supervision.knowsub.model.SystemBase;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.knowsub.vo.sublibrary.SubLibraryReqVo;
import com.supervision.knowsub.vo.sublibrary.SubLibraryResVo;

import java.util.List;

/**
* @author Administrator
* @description 针对表【ks_system_base(应用子库)】的数据库操作Service
* @createDate 2024-06-24 11:35:15
*/
public interface SystemBaseService extends IService<SystemBase> {

    IPage<SubLibraryResVo> listSubLibrary(SubLibraryReqVo subLibraryReqVo, Integer pageNum, Integer pageSize);

    /**
     * 查询用户拥有的子库权限
     * @param userId 用户ID
     */
    List<UserBaseOperateAuthDTO> queryUserBaseOperateAuth(String userId);
}
