package com.supervision.knowsub.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.knowsub.model.SystemDept;
import com.supervision.knowsub.service.SystemDeptService;
import com.supervision.knowsub.mapper.SystemDeptMapper;
import com.supervision.knowsub.vo.dept.DeptInfoResVo;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【ks_system_dept(部门表)】的数据库操作Service实现
* @createDate 2024-06-24 11:35:15
*/
@Service
public class SystemDeptServiceImpl extends ServiceImpl<SystemDeptMapper, SystemDept>
    implements SystemDeptService{

    @Override
    public IPage<DeptInfoResVo> pageListDept(String deptName, String deptCode, Integer pageNum, Integer pageSize) {
        return super.getBaseMapper().pageListDept(deptName,deptCode,new Page<>(pageNum,pageSize));
    }
}




