package com.supervision.knowsub.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.knowsub.model.SystemFlow;
import com.supervision.knowsub.service.SystemFlowService;
import com.supervision.knowsub.mapper.SystemFlowMapper;
import com.supervision.knowsub.vo.flow.FlowInfoResVo;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【ks_system_flow(流程配置表)】的数据库操作Service实现
* @createDate 2024-06-24 11:35:15
*/
@Service
public class SystemFlowServiceImpl extends ServiceImpl<SystemFlowMapper, SystemFlow>
    implements SystemFlowService{

    @Override
    public IPage<FlowInfoResVo> pageListFlow(String flowName, Integer pageNum, Integer pageSize) {

        return super.getBaseMapper().pageListFlow(flowName,new Page<>(pageNum,pageSize));
    }
}




